<?php
/**
 * Webkul Software.
 *
 * @category  Webkul
 * @package   Webkul_AppScreenCustomization
 * @author    Webkul
 * @copyright Copyright (c)  Webkul Software Private Limited (https://webkul.com)
 * @license   https://store.webkul.com/license.html
 */
namespace Webkul\AppScreenCustomization\Helper;

use Magento\Framework\Stdlib\DateTime\DateTime;
use Magento\Customer\Model\Session as CustomerSession;

/**
 * helper class.
 */
class Data extends \Magento\Framework\App\Helper\AbstractHelper
{

    /**
     * Customer session.
     *
     * @var CustomerSession
     */
    protected $_customerSession;

    /**
     * @var \Magento\Store\Model\StoreManagerInterface
     */
    protected $_storeManager;
   
    /**
     *
     * @param Session $customerSession
     * @param \Magento\Framework\App\Helper\Context $context
     * @param \Magento\Store\Model\StoreManagerInterface $storeManager
     */
    public function __construct(
        \Magento\Framework\App\Helper\Context $context,
        \Webkul\MobikulCore\Helper\Data $mobikulHelper
    ) {
        $this->mobikulHelper = $mobikulHelper;
        parent::__construct($context);
    }

    public function getLauncherImage()
    {
        return $this->mobikulHelper->getConfigData('mobikul/themeConfig/launchericon');
    }

    public function getLogo()
    {
        if ($this->mobikulHelper->getConfigData('mobikul/themeConfig/applogo')) {
            return $this->mobikulHelper->getUrl(
                "media"
            )."mobikul/logo/".$this->mobikulHelper->getConfigData('mobikul/themeConfig/applogo');
        }
        return "";
    }

    public function getSplashScreenImage()
    {
        if ($this->mobikulHelper->getConfigData('mobikul/themeConfig/splashscreen_image')) {
            return $this->mobikulHelper->getUrl(
                "media"
            )."mobikul/splashscreen/".$this->mobikulHelper->getConfigData('mobikul/themeConfig/splashscreen_image');
        }
        return "";
    }
}